// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../core/validation/ValidatedArgs";
import FormatValidation from "../FormatValidation";
export default class GetAccountInfoRequest extends ValidatedRequest {
    account;
    constructor({ account }) {
        super({
            account: FormatValidation.checkAccount(),
        });
        this.account = account;
    }
}
